Package org.apache.sysds.runtime.matrix.operators

## Class MultiThreadedOperator

- java.lang.Object
- - org.apache.sysds.runtime.matrix.operators.Operator
  - - org.apache.sysds.runtime.matrix.operators.MultiThreadedOperator

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AggregateBinaryOperator`, `AggregateTernaryOperator`, `AggregateUnaryOperator`, `BinaryOperator`, `CMOperator`, `COVOperator`, `ReorgOperator`, `ScalarOperator`, `TernaryOperator`, `UnaryOperator`

    public class MultiThreadedOperator
    extends Operator

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.sysds.runtime.matrix.operators.Operator

`sparseSafe`

### Constructor Summary

Constructors
`MultiThreadedOperator()`
`MultiThreadedOperator​(boolean sparseSafeFlag)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getNumThreads()`
`void` `setNumThreads​(int numThreads)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiThreadedOperator

    public MultiThreadedOperator()

#### MultiThreadedOperator

    public MultiThreadedOperator​(boolean sparseSafeFlag)

### Method Detail

#### getNumThreads

    public int getNumThreads()

#### setNumThreads

    public void setNumThreads​(int numThreads)